Substy Developers
Team

Delete team schedules

Delete the selected work schedules by ID and return the number deleted.

DELETE/v1/agencies/{agencyId}/team/schedule-batches

Delete the selected work schedules by ID and return the number deleted.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/agencies/string/team/schedule-batches" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "string"    ]  }'
{  "data": {    "success": true,    "deletedCount": 0  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}